<?php

require_once('php-templates.inc');


function fetchlisting( $path ) {

   $listing = array();

   if( !($dp = dir($path)) )
      return NULL;

   $realpath = realpath($path);

   for( $i = 0; ($entry = $dp->read()) !== FALSE; ++$i ) {
      if( ($entry === '.') || ($entry === '..') )
         continue;

      $listing[$i]['filename'] = $entry;
      $listing[$i]['path'] = "$path/$entry";

      if( is_dir($listing[$i]['path']) )
         $listing[$i]['size'] = 'dir';
      else
         $listing[$i]['size'] = filesize($listing[$i]['path']);
   }

   $dp->close();

   return array($realpath,$listing);
}



